<template>
  <div class="project-card" :class="{ 'project-card--reversed': isImageRight }">
    <img
      class="project-card__image"
      :class="{ 'project-card__image--reversed': isImageRight }"
      :src="imageUrl"
    />
    <div class="project-card__text">
      <h2 class="project-card__text__subtitle">
        {{ subtitle }}
      </h2>
      <h1 class="big-title project-card__text__title">
        {{ title }}
      </h1>
      <p class="project-card__text__description">
        {{ description }}
      </p>
      <DetailsButton class="project-card__details-button" link="google.com">
        More Details
      </DetailsButton>
      <span class="project-card__text__location">
        <i
          class="fa-sharp fa-solid fa-location-dot project-card__text__icon"
        ></i>
        {{ location }}
      </span>
    </div>
  </div>
</template>

<script lang="ts">
import { Component, Prop, Vue } from "vue-property-decorator";
import DetailsButton from "./DetailsButton.vue";

@Component({ components: { DetailsButton } })
export default class ProjectCard extends Vue {
  @Prop({ default: false }) isImageRight: boolean;
  @Prop({ required: true }) imageUrl: string;
  @Prop({ required: true }) subtitle: string;
  @Prop({ required: true }) title: string;
  @Prop({ required: true }) description: string;
  @Prop({ required: true }) location: string;
}
</script>

<style lang="scss" scoped>
.project-card {
  display: flex;
  gap: 70px;

  &__image {
    object-fit: cover;
    width: 100%;
    height: 100%;
    display: block;
    box-shadow: -260px -57px $light-blue;
  }

  &__text {
    display: flex;
    flex-direction: column;
    color: $blue-gray;
    padding-top: 94px;

    &__subtitle {
      font-size: 22px;
      line-height: 1.2;
    }

    &__title {
      margin-bottom: 19px;
    }

    &__description {
      margin-bottom: 40px;
    }

    &__location {
      display: flex;
      gap: 10px;
      align-items: center;
      color: $black;
      font-style: italic;
      font-size: 15px;
      line-height: 1.3;
    }

    &__icon {
      width: 9px;
      height: 17px;
      color: $blue-gray;
    }
  }

  &__details-button {
    margin-bottom: 60px;
  }

  &--reversed {
    flex-direction: row-reverse;
  }

  &__image--reversed {
    box-shadow: 260px -57px $purple;
  }
}
</style>
